Skip to Content
inclamoDocs

List all custom filters

GET
/api/v1/accounts/{account_id}/custom_filters

List all custom filters in a category of a user

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

filter_type?string

The type of custom filter

Value in"conversation""contact""report"

Response Body

Success

application/json
  1. response

Array of custom filters

[index: integer]?
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/custom_filters'
Example Response
[  {    "id": 0,    "name": "string",    "type": "conversation",    "query": {},    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }]